Ricky logorickyDocs

Get Google Ads campaign results

GET
/ads/google/campaigns

Live Google Ads campaign metrics and attributed WhatsApp conversations for advertiser accounts selected by the organization.

Scope: reports:read.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An organization API key, rky_live_…, created in Settings → API. Send it only from a server.

account_id?string

A Google Ads account selected in Integrations.

Match^\d{10}$
campaign_id?string

Only this Google Ads campaign.

Match^\d{1,20}$
from*string

First day, inclusive.

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
to*string

Last day, inclusive. A period can contain up to 366 days.

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate

Response Body

Success.

application/json
  1. response
data*array<>
next_cursor*|

Pass as cursor for the next page; null on the last page.

curl -X GET 'https://getricky.ai/api/v1/ads/google/campaigns?from=2019-08-24&to=2019-08-24'
{  "data": [    {      "account": {        "id": "string",        "name": "string",        "currency_code": "string",        "time_zone": "string"      },      "status": "ready",      "campaigns": [        {          "id": "string",          "name": "string",          "status": "string",          "spend": 0,          "clicks": 0,          "impressions": 0,          "conversions": 0,          "conversation_code": "string",          "conversation_count": -9007199254740991,          "recent_conversation_ids": [            "2bb8cacf-3506-46e4-be45-e228133b205b"          ]        }      ]    }  ],  "next_cursor": "string"}